## org.eclipse.amp.escape.amf.ide
Class ExecuteParameterHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteParameterHeadlessHandler

    public class ExecuteParameterHandler

extends ExecuteHandler

The Class ExecuteParameterHandler.

Field Summary
`protected org.eclipse.core.resources.IResource` `modelResource`

Constructor Summary
`ExecuteParameterHandler()` Instantiates a new execute parameter handler.
`ExecuteParameterHandler(boolean headless)` Instantiates a new execute parameter handler.

Method Summary
`protected EclipseEscapeRunner` `createRunner()` Creates the runner.
`protected void` `executeOpen(EclipseEscapeRunner eclipseRunner, java.lang.Object executed, org.eclipse.core.runtime.IProgressMonitor monitor)` Execute open.
`AParInterpreter` `getInterpreter()`
`SContext` `getModel()`
`protected boolean` `handleSelect(java.lang.Object sel)` Handle select.
`void` `setInterpreter(AParInterpreter interpreter)`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelResource

    protected org.eclipse.core.resources.IResource modelResource

Constructor Detail

### ExecuteParameterHandler

    public ExecuteParameterHandler(boolean headless)

  Instantiates a new execute parameter handler.

  Parameters:
    `headless` - the headless

### ExecuteParameterHandler

    public ExecuteParameterHandler()

  Instantiates a new execute parameter handler.

Method Detail

### executeOpen

    protected void executeOpen(EclipseEscapeRunner eclipseRunner,
                               java.lang.Object executed,
                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from class: `ExecuteHandler`
  Execute open.

  Specified by:
    `executeOpen` in class `ExecuteHandler`
  Parameters:
    `eclipseRunner` - the eclipse runner
    `executed` - the executed scape resource/name
    `monitor` - the monitor

### createRunner

    protected EclipseEscapeRunner createRunner()

  Description copied from class: `ExecuteHandler`
  Creates the runner.

  Overrides:
    `createRunner` in class `ExecuteHandler`
  Returns:
  See Also:
    `ExecuteHandler.createRunner()`

### handleSelect

    protected boolean handleSelect(java.lang.Object sel)

  Description copied from class: `ExecuteHandler`
  Handle select.

  Specified by:
    `handleSelect` in class `ExecuteHandler`
  Parameters:
    `sel` - the sel
  Returns:
    true, if successful

### setInterpreter

    public void setInterpreter(AParInterpreter interpreter)

### getInterpreter

    public AParInterpreter getInterpreter()

### getModel

    public SContext getModel()

  Returns:
    the model